Subject: bug#76559: 31.0.50; [-O3 + PGTK] Crash when 'copying as kill'/'killing word'

From: Paul Eggert <[email-masked]>
Date: Mon, 3 Mar 2025 10:09:45 -0800

On 2025-03-03 07:34, Eli Zaretskii wrote:
>> From: Po Lu <[email-masked]>
>> Date: Mon, 03 Mar 2025 22:46:42 +0800
>> Which reminds me: what is to be done on the release branch, if any?
>> Beyond directing users not to enable "-flto", which goes without saying.
> 
> Something simple and localized, if possible?  I believe one of the
> previously-suggested patches was like that, even if it was not 110%
> correct or safe.

The patch in <https://bugs.gnu.org/76559#71> won't work if neither 
HAVE_X11 nor HAVE_PGTK is defined. There's an obvious fix for that if 
somebody wants to take up the banner of writing a patch not to be merged 
to master. However, I hope the "don't use -O3" advice is enough.